Loading...
Searching...
No Matches
TextInputData Struct Reference

Additional data for text input event. More...

`#include <src/common/event.h>`

Inheritance diagram for TextInputData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

std::string | text = ""
| Text entered by the user (usually one character, UTF-8 encoded).

## Detailed Description

Additional data for text input event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > TextInputData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## text

std::string TextInputData::text = ""

Text entered by the user (usually one character, UTF-8 encoded).

The documentation for this struct was generated from the following file:

- src/common/event.h